package org.jeecg.modules.stm.act.main.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.stm.act.main.entity.StCaMain;
import org.jeecg.modules.stm.act.main.entity.StCaMainLable;

import java.util.List;
import java.util.Map;

/**
 * @Description: 控制活动
 * @Author: yzh
 * @Date:   2023-03-06
 * @Version: V1.0
 */
public interface IStCaMainService extends IService<StCaMain> {

    IPage<StCaMain> defPage(StCaMain stCaMain, Integer pageNo, Integer pageSize, Map<String, String[]> parameterMap);

    StCaMain queryByCaNo(String caNo);

    List<StCaMainLable> listLable(String caNo);

    String caMainNo();


}
